Places
The Place object
idstringoptionalPublic place identifier.
namestringoptionalDisplay name for the place.
locationobjectoptionalGeospatial coordinates for the place.
addressstringoptionalFormatted address for the place.
avatar_urlstringoptionalAvatar URL associated with the place.
street1stringoptionalPrimary street address.
street2stringoptionalSecondary street address.
citystringoptionalCity or locality.
provincestringoptionalState, province, or region.
postal_codestringoptionalPostal or ZIP code.
neighborhoodstringoptionalNeighborhood or local area.
districtstringoptionalDistrict or administrative subdivision.
buildingstringoptionalBuilding name, number, or additional address detail.
security_access_codestringoptionalAccess code or delivery instructions needed to enter the building.
countrystringoptionalCountry code.
phonestringoptionalPhone number associated with the place.
ownerobjectoptionalContact or vendor resource that owns the place, when loaded.
tracking_numberobjectoptionalTracking number associated with the place, when loaded.
typestringoptionalPlace classification.
metaobjectoptionalAdditional place metadata.
etaobjectoptionalEstimated arrival data when route ETA is requested.
updated_attimestampoptionalTimestamp when the place was last updated.
created_attimestampoptionalTimestamp when the place was created.
{
"id": "place_1A2b3C4d5E",
"name": "Central Park",
"location": {
"latitude": 40.785091,
"longitude": -73.968285
},
"address": "830 5th Ave, New York, NY 10065, USA",
"avatar_url": null,
"street1": "830 5th Ave",
"street2": null,
"city": "New York",
"province": "New York",
"postal_code": "10065",
"neighborhood": "Manhattan",
"district": "Midtown",
"building": "Park Area",
"security_access_code": null,
"country": "US",
"phone": "+12123106600",
"type": "park",
"meta": {},
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/placesCreate a Place
Creates a place for the current company. Provide structured address fields, a free-form address or street1 value to geocode, or coordinates for Fleetbase to reverse geocode.
namestringoptionalDisplay name for the place. Required on create unless address, street, or coordinates are enough for Fleetbase to geocode the place.
addressstringoptionalAddress string to geocode into a place when structured address fields are not supplied.
street1stringoptionalPrimary street address. Required on create unless address or coordinates are supplied.
street2stringoptionalSecondary street address.
citystringoptionalCity or locality for the address.
provincestringoptionalState, province, or region for the address.
postal_codestringoptionalPostal or ZIP code for the address.
neighborhoodstringoptionalNeighborhood or local area for the address.
districtstringoptionalDistrict or administrative subdivision for the address.
buildingstringoptionalBuilding name, number, or additional address detail.
security_access_codestringoptionalAccess code or delivery instructions needed to enter the building.
countrystringoptionalCountry code for the address.
phonestringoptionalPhone number associated with the place.
locationobjectoptionalResolvable point used as the place location. Fleetbase accepts supported coordinate formats and reverse geocodes missing address fields.
latitudenumberoptionalDecimal latitude. Required with longitude.
longitudenumberoptionalDecimal longitude. Required with latitude.
ownerstringoptionalContact or vendor ID that owns the place.
customerstringoptionalContact or vendor ID to assign as the place owner.
contactstringoptionalContact or vendor ID to assign as the place owner.
vendorstringoptionalVendor ID to assign as the place owner.
typestringoptionalPlace classification.
metaobjectoptionalAdditional place metadata.
/v1/placescurl -X POST https://api.fleetbase.io/v1/places \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"name": "Central Park",
"street1": "830 5th Ave",
"city": "New York",
"province": "New York",
"postal_code": "10065",
"neighborhood": "Manhattan",
"district": "Midtown",
"building": "Park Area",
"country": "US",
"phone": "+12123106600",
"type": "Park"
}'/v1/placesQuery Places
Searches and filters places for the current organization. Use query and pagination parameters to find matching saved locations.
querystringoptionalSearch term matched against place fields.
limitintegeroptionalMaximum number of places to return.
offsetintegeroptionalNumber of places to skip before returning results.
sortstringoptionalSort expression for the place query.
vendorstringoptionalVendor ID used to filter places owned by a vendor.
/v1/placescurl https://api.fleetbase.io/v1/places?query={{place_name}}&limit=25&offset=<string>&sort=created_at \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"/v1/places/searchSearch Places
Searches places by free-form query and optional lat/lng locale context.
querystringrequiredFree-form search text matched against place name and address fields.
llstringoptionalLatitude/longitude context used to rank or localize search results.
localestringoptionalLocale hint used for place search.
limitintegeroptionalDefault: 10Maximum number of matching places to return.
geobooleanoptionalWhen true, enables geospatial search behavior.
latitudenumberoptionalLatitude context for geospatial search.
longitudenumberoptionalLongitude context for geospatial search.
/v1/places/searchcurl https://api.fleetbase.io/v1/places/search?query={{place_query}}&ll={{place_ll}}&locale={{locale}} \
-H "Authorization: Bearer flb_live_…"/v1/placesList all Places
Returns a paginated list of places for the current organization. Places are sorted by creation date unless another sort order is provided.
limitintegeroptionalMaximum number of places to return.
offsetintegeroptionalNumber of places to skip before returning results.
sortstringoptionalSort expression for the place list.
/v1/placescurl https://api.fleetbase.io/v1/places?limit=25&offset=0&sort=created_at \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"/v1/places/:idRetrieve a Place
This endpoint allows you to retrieve a place object to view it's details.
/v1/places/:idcurl https://api.fleetbase.io/v1/places/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"/v1/places/:idUpdate a Place
Updates a place by setting the fields included in the request. Send address fields, coordinates, owner assignment, type, phone, or metadata to change only those values.
namestringoptionalDisplay name for the place.
street1stringoptionalPrimary street address.
street2stringoptionalSecondary street address.
citystringoptionalCity or locality for the address.
provincestringoptionalState, province, or region for the address.
postal_codestringoptionalPostal or ZIP code for the address.
neighborhoodstringoptionalNeighborhood or local area for the address.
districtstringoptionalDistrict or administrative subdivision for the address.
buildingstringoptionalBuilding name, number, or additional address detail.
security_access_codestringoptionalAccess code or delivery instructions needed to enter the building.
countrystringoptionalCountry code for the address.
phonestringoptionalPhone number associated with the place.
locationobjectoptionalResolvable point used as the place location.
latitudenumberoptionalDecimal latitude. Required with longitude.
longitudenumberoptionalDecimal longitude. Required with latitude.
ownerstringoptionalContact or vendor ID that owns the place.
vendorstringoptionalVendor ID to assign as the place owner.
typestringoptionalPlace classification.
metaobjectoptionalAdditional place metadata.
/v1/places/:idcurl -X PUT https://api.fleetbase.io/v1/places/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"name": "Central Park Edit",
"street1": "830 5th Ave a ",
"city": "New York",
"province": "New York",
"postal_code": "10065",
"neighborhood": "Manhattan",
"district": "Midtown",
"building": "Park Area",
"country": "US",
"phone": "+12123106600",
"type": "Park"
}'{
"id": "place_n0voYdE",
"name": "Central Park Edited",
"location": {
"type": "Point",
"coordinates": [
-73.9712519,
40.7676307
]
},
"address": "CENTRAL PARK EDITED - 830 5TH AVE, NEW YORK, 10065, UNITED STATES",
"street1": "830 5th Ave",
"street2": null,
"city": "New York",
"province": "New York",
"postal_code": "10065",
"neighborhood": "Manhattan",
"district": "Midtown",
"building": "Park Area",
"security_access_code": null,
"country": "US",
"phone": null,
"owner": null,
"type": "Park",
"meta": [],
"updated_at": "2023-12-27T07:43:57.000000Z",
"created_at": "2023-12-27T07:25:36.000000Z"
}/v1/places/:idDelete a Place
Permanently deletes a place. It cannot be undone.
/v1/places/:idcurl -X DELETE https://api.fleetbase.io/v1/places/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{
"id": "place_n0voYdE",
"object": "place",
"time": "2023-12-27T07:44:36.000000Z",
"deleted": true
}